Last Comment Bug 450744 - move www.mozilla.com behind Akamai
: move www.mozilla.com behind Akamai
Status: RESOLVED INCOMPLETE
:
Product: mozilla.org Graveyard
Classification: Graveyard
Component: Server Operations: Projects (show other bugs)
: other
: All Other
: -- minor (vote)
: ---
Assigned To: Jeremy Orem [:oremj]
: matthew zeier [:mrz]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-15 07:34 PDT by matthew zeier [:mrz]
Modified: 2015-03-12 08:24 PDT (History)
5 users (show)
mzeier: needs‑downtime+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description matthew zeier [:mrz] 2008-08-15 07:34:12 PDT
Need CSR.
Comment 1 Reed Loden [:reed] (use needinfo?) 2008-08-15 12:21:44 PDT
Subject: C=US, ST=California, L=Mountain View, O=Mozilla Corporation, OU=Operations, CN=www.mozilla.com/emailAddress=hostmaster@mozilla.com

X509v3 Subject Alternative Name: 
    DNS:www.mozilla.com, DNS:mozilla.com

-----BEGIN CERTIFICATE REQUEST-----
MIIDTzCCAjcCAQAwga4xCzAJBgNVBAYTAlVTMRMwEQYDVQQIEwpDYWxpZm9ybmlh
MRYwFAYDVQQHEw1Nb3VudGFpbiBWaWV3MRwwGgYDVQQKExNNb3ppbGxhIENvcnBv
cmF0aW9uMRMwEQYDVQQLEwpPcGVyYXRpb25zMRgwFgYDVQQDEw93d3cubW96aWxs
YS5jb20xJTAjBgkqhkiG9w0BCQEWFmhvc3RtYXN0ZXJAbW96aWxsYS5jb20wggEi
MA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQDXzdz+5EHgS9fmaOk/oyqBMYSn
/u411rD2Z8uFPTI9Vv2w1Vv2W1k0prWHCJGAEeIws9SNQzxvQwQnlBZVLTlav1K/
bHGA/lPI0qp8/CUIv6G4PwFONBbcsWhEcExVSkEiY6551hleq27jRoKq4oOv1itA
ULrIfA0fw6ALIQXcGrmXCCoLX4KrxPx9bfh1t7LdiY5YCvVhII8fIyWSI1mFEXR9
n1FlTeYhwBaUkyktetXpl411QxB89ShvttSEb/yhF7mvoZ1I0BJIUyPhZDunYZuZ
hBSu/ChXUarTJJb880sgm3BkZuopSFsgQDUjYSzJR0kje+QXgw4jDC5UfJdZAgMB
AAGgWzBZBgkqhkiG9w0BCQ4xTDBKMBEGCWCGSAGG+EIBAQQEAwIGQDAMBgNVHRMB
Af8EAjAAMCcGA1UdEQQgMB6CD3d3dy5tb3ppbGxhLmNvbYILbW96aWxsYS5jb20w
DQYJKoZIhvcNAQEFBQADggEBAKiV9ec55rJEri5bRzogrqet+HyzTVBJDQIBY4lJ
QuJYdN6jqVqXmIoDGn/7VRVKo2BFLR0NkW7sNt3YZECnbS2Nj8KHGqTaQClg7A7M
gSWBjbHPYr3gQulccNZQ4vNvUZypM/H5V9QMBGgJ8BceYjYj0O5nngSWslgpQgHq
K4+fIXbLP3v2Gnm5NP4Ah0bzMi2hqnrz6w4G+z+X77Cvh6dPLMd9IEIRhY26JE03
ZCvQcpRunx+JzsgIOvCuvSRevg6Q0BCBI+G+JHEAlmQClKa3Fkyz3NzLqRIH6wdp
IsQuRIc0kiy1AYesVFrjBaYfWURu3Vu23Q003hmmvE81dm0=
-----END CERTIFICATE REQUEST-----
Comment 2 matthew zeier [:mrz] 2008-08-18 10:48:09 PDT
Don't have a login, over to justin.  This needs to be an OV cert.
Comment 3 Justin Fitzhugh 2008-08-18 14:45:58 PDT
on order.
Comment 4 matthew zeier [:mrz] 2008-08-19 08:54:48 PDT
-----BEGIN CERTIFICATE-----
MIIDgTCCAuqgAwIBAgIDCa+7MA0GCSqGSIb3DQEBBQUAME4xCzAJBgNVBAYTAlVT
MRAwDgYDVQQKEwdFcXVpZmF4MS0wKwYDVQQLEyRFcXVpZmF4IFNlY3VyZSBDZXJ0
aWZpY2F0ZSBBdXRob3JpdHkwHhcNMDgwODE5MTM1MDIzWhcNMTAwODIwMTM1MDIz
WjCBhzELMAkGA1UEBhMCVVMxEzARBgNVBAgTCkNhbGlmb3JuaWExFjAUBgNVBAcT
DU1vdW50YWluIFZpZXcxHDAaBgNVBAoTE01vemlsbGEgQ29ycG9yYXRpb24xEzAR
BgNVBAsTCk9wZXJhdGlvbnMxGDAWBgNVBAMTD3d3dy5tb3ppbGxhLmNvbTCCASIw
DQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBANfN3P7kQeBL1+Zo6T+jKoExhKf+
7jXWsPZny4U9Mj1W/bDVW/ZbWTSmtYcIkYAR4jCz1I1DPG9DBCeUFlUtOVq/Ur9s
cYD+U8jSqnz8JQi/obg/AU40FtyxaERwTFVKQSJjrnnWGV6rbuNGgqrig6/WK0BQ
ush8DR/DoAshBdwauZcIKgtfgqvE/H1t+HW3st2JjlgK9WEgjx8jJZIjWYURdH2f
UWVN5iHAFpSTKS161emXjXVDEHz1KG+21IRv/KEXua+hnUjQEkhTI+FkO6dhm5mE
FK78KFdRqtMklvzzSyCbcGRm6ilIWyBANSNhLMlHSSN75BeDDiMMLlR8l1kCAwEA
AaOBrjCBqzAOBgNVHQ8BAf8EBAMCBPAwHQYDVR0OBBYEFD7I5dna4y+VO8hI5fce
kM0ohNfbMDoGA1UdHwQzMDEwL6AtoCuGKWh0dHA6Ly9jcmwuZ2VvdHJ1c3QuY29t
L2NybHMvc2VjdXJlY2EuY3JsMB8GA1UdIwQYMBaAFEjmaPkr0rKV10fYIyAQTzOY
kJ/UMB0GA1UdJQQWMBQGCCsGAQUFBwMBBggrBgEFBQcDAjANBgkqhkiG9w0BAQUF
AAOBgQAO3LMv4jsKVIZpwYlGxinAOk8Ko7oh2Gqo4g88U01e2hxih/Dyf3wIt0OI
GWMO55LzgWoKqOUXh/rNmYuWE4mWU3CUu59H4QGqxB3UlKBePMRl9znifPJ9fLo2
FOb0axcP1k8tZLwoK50vRKCXv9NZNHLSnA5vXTnelQtX3FOrPA==
-----END CERTIFICATE-----
Comment 5 Jeremy Orem [:oremj] 2008-08-19 13:15:03 PDT
Certs have been handed off to CDNetworks.
Comment 6 matthew zeier [:mrz] 2008-08-21 08:41:17 PDT
Site is up @  67.201.46.59 for testing.

mrz$ host www.mozilla.com.usgscac.cdnetworks.net. 
www.mozilla.com.usgscac.cdnetworks.net has address 67.201.46.59
Comment 7 Wil Clouser [:clouserw] 2008-08-21 12:37:19 PDT
This is the first I've seen of this bug - has this been QA'd?  All localized pages are 404s for me.
Comment 8 matthew zeier [:mrz] 2008-08-21 13:14:51 PDT
Sample URLs? Somewhat surprising since it's just a caching proxy and should be hitting the origin server for anything it doesn't already have. 
Comment 9 Wil Clouser [:clouserw] 2008-08-21 13:43:37 PDT
http://pt-br.www.mozilla.com/pt-BR/
Comment 10 matthew zeier [:mrz] 2008-08-21 13:48:44 PDT
I suspect you're testing with *.www.mozilla.com going to the CDN too?  

That's not configured and not being cut over tonight - just www.mozilla.com.  

I did, however, ask if CDNetworks could add that before tonight.
Comment 11 Wil Clouser [:clouserw] 2008-08-21 14:01:54 PDT
(In reply to comment #10)
> I suspect you're testing with *.www.mozilla.com going to the CDN too?  
> 

I was, yeah

Comment 12 Jeremy Orem [:oremj] 2008-08-21 17:39:14 PDT
Matthew, would you mind doing this tonight just need to comment out:
www     60 IN CNAME www-mozilla-com.geo.mozilla.com.
and uncomment:
;www    60 IN CNAME www.mozilla.com.usgscac.cdnetworks.net. 
Comment 13 matthew zeier [:mrz] 2008-08-21 19:14:56 PDT
Moved.
Comment 14 matthew zeier [:mrz] 2008-08-21 19:34:48 PDT
oops, too aggressive - only meant for www.mozilla.com.

CDNetworks isn't set for *.www.mozilla.com, backed that one out.
Comment 15 Stephen Donner [:stephend] 2008-08-21 19:40:07 PDT
C:\Users\Owner>nslookup www.mozilla.com
<snip>

Non-authoritative answer:
Name:    www.mozilla.com.usgscac.cdnetworks.net
Address:  67.201.46.59
Aliases:  www.mozilla.com

Comment 9 is now working again.

Verified FIXED
Comment 16 matthew zeier [:mrz] 2008-11-07 09:46:08 PST
Re-opening since this bug has lots of state and stake holders.  Summary changed
to reflect to CDN provider.
Comment 17 Jeremy Orem [:oremj] 2008-12-11 14:19:37 PST
Closing these until there is something to do.

Note You need to log in before you can comment on or make changes to this bug.